Enables/disables/retargets a schedule (write-tier, self-audited).
PATCH
/v1/m/orchestration/schedules/{id}
const url = 'https://example.com/v1/m/orchestration/schedules/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"approval_ref":"example","cadence_spec":"example","desired_status":"active","expected_interval_seconds":1,"grace_factor":1,"subject_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/m/orchestration/schedules/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "approval_ref": "example", "cadence_spec": "example", "desired_status": "active", "expected_interval_seconds": 1, "grace_factor": 1, "subject_ref": "example" }'Enables/disables/retargets a schedule (write-tier, self-audited).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
Any of:
object
expected_interval_seconds
null
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}